Bug 739522

Summary: login user input is not shown on serial console
Product: [Fedora] Fedora Reporter: Petr Lautrbach <plautrba>
Component: util-linuxAssignee: Karel Zak <kzak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: dallan, jonathan, kzak
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: util-linux-2.20.1-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-25 03:45:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Lautrbach 2011-09-19 11:52:08 UTC
Description of problem:
 
there is no visible input on serial console while typing user name on login 

Version-Release number of selected component (if applicable):
util-linux-2.20-1.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
Boot with primary serial console - console=ttyS0 and login

...
[   11.279556] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   11.310109] nf_conntrack version 0.5.0 (7968 buckets, 31872 max)
Bringing up loopback interface:  [  OK  ]
Bringing up interface eth0:
Fedora release 16 (Verne)
Kernel 3.1.0-0.rc6.git0.3.fc16.x86_64 on an x86_64 (ttyS0)

f16-devel login: [  OK  ]

Fedora release 16 (Verne)
Kernel 3.1.0-0.rc6.git0.3.fc16.x86_64 on an x86_64 (ttyS0)

f16-devel login:
                 ^^^^^^^^^ nothnig shown here
Password:
Last login: Mon Sep 19 12:31:30 on ttyS0

[root@f16-devel ~]# cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.1.0-0.rc6.git0.3.fc16.x86_64 root=UUID=7144dec9-7676-44db-919a-fbc970c62275 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us SYSFONT=latarcyrheb-sun16 rd.luks=0 LANG=en_US.UTF-8 console=ttyS0 log_buf_len=1M systemd.log_level=debug systemd.log_target=kmsg


It works in Fedora 15 system

Comment 1 Karel Zak 2011-09-26 10:54:36 UTC
Fixed in upstream repository by commit b9261127260ff2a8efbdc6e5f9d00ec7f736b445. The Fedora package(s) will be updated ASAP. 

Thanks!

Comment 2 Fedora Update System 2011-10-20 11:48:22 UTC
util-linux-2.20.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/util-linux-2.20.1-1.fc16

Comment 3 Dave Allan 2011-10-20 21:33:29 UTC
Updated pkgs fix it on my system.  Gave karma.

Comment 4 Fedora Update System 2011-10-20 22:15:40 UTC
Package util-linux-2.20.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.20.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14685
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-25 03:45:22 UTC
util-linux-2.20.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.